Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IORC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "ior_manip_export.h"`
`#include "tao/Exception.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for IORC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO_IOP
## Compounds
exception | TAO_IOP::Duplicate
| @ Bala, please describe this exception. More...
exception | TAO_IOP::EmptyProfileList
| @ Bala, please describe this exception. More...
exception | TAO_IOP::Invalid_IOR
| @ Bala, please describe this exception. More...
exception | TAO_IOP::MultiProfileList
| @ Bala, please describe this exception. More...
exception | TAO_IOP::NotFound
| @ Bala, please describe this exception. More...
interface | TAO_IOP::TAO_IOR_Manipulation
| Allows applications to manipulate object references. More...
interface | TAO_IOP::TAO_IOR_Property
| Allows setting properties by the different services in the IOR. More...
## Defines
#define | TAO_EXPORT_MACRO TAO_IORManip_Export
#define | _TAO_IOP_EMPTYPROFILELIST_CH_
#define | _TAO_IOP_NOTFOUND_CH_
#define | _TAO_IOP_DUPLICATE_CH_
#define | _TAO_IOP_INVALID_IOR_CH_
#define | _TAO_IOP_MULTIPROFILELIST_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY___PTR_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY___VAR_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY___OUT_CH_
#define | _TAO_IOP_TAO_IOR_PROPERTY_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___PTR_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___VAR_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION___OUT_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___VAR_CH_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___OUT_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_IORManip_Export void | operator<<= (CORBA::Any &, const TAO_IOP::EmptyProfileList &)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, TAO_IOP::EmptyProfileList *)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_IOP::EmptyProfileList *&)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO_IOP::EmptyProfileList *&)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, const TAO_IOP::NotFound &)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, TAO_IOP::NotFound *)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_IOP::NotFound *&)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO_IOP::NotFound *&)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, const TAO_IOP::Duplicate &)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, TAO_IOP::Duplicate *)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_IOP::Duplicate *&)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO_IOP::Duplicate *&)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, const TAO_IOP::Invalid_IOR &)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, TAO_IOP::Invalid_IOR *)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_IOP::Invalid_IOR *&)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO_IOP::Invalid_IOR *&)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, const TAO_IOP::MultiProfileList &)
TAO_IORManip_Export void | operator<<= (CORBA::Any &, TAO_IOP::MultiProfileList *)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_IOP::MultiProfileList *&)
TAO_IORManip_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TAO_IOP::MultiProfileList *&)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::EmptyProfileList &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::EmptyProfileList &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::NotFound &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::NotFound &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::Duplicate &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::Duplicate &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::Invalid_IOR &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::Invalid_IOR &)
TAO_IORManip_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_IOP::MultiProfileList &)
TAO_IORManip_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_IOP::MultiProfileList &)

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_

#define _TAO_IOP_DUPLICATE_CH_

#define _TAO_IOP_EMPTYPROFILELIST_CH_

#define _TAO_IOP_INVALID_IOR_CH_

#define _TAO_IOP_MULTIPROFILELIST_CH_

#define _TAO_IOP_NOTFOUND_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION___OUT_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION___PTR_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION___VAR_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___OUT_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST___VAR_CH_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY___OUT_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY___PTR_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY___VAR_CH_

#define _TAO_IOP_TAO_IOR_PROPERTY_CH_

#define TAO_EXPORT_MACRO TAO_IORManip_Export

## Function Documentation

TAO_IORManip_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::MultiProfileList & | _tao_aggregate
| ) |

TAO_IORManip_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::Invalid_IOR & | _tao_aggregate
| ) |

TAO_IORManip_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::Duplicate & | _tao_aggregate
| ) |

TAO_IORManip_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::NotFound & | _tao_aggregate
| ) |

TAO_IORManip_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_IOP::EmptyProfileList & | _tao_aggregate
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_IOP::MultiProfileList * |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO_IOP::MultiProfileList & |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_IOP::Invalid_IOR * |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO_IOP::Invalid_IOR & |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_IOP::Duplicate * |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO_IOP::Duplicate & |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_IOP::NotFound * |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO_IOP::NotFound & |
| ) |

TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_IOP::EmptyProfileList * |
| ) |

TAO_NAMESPACE_CLOSE TAO_IORManip_Export void operator<<= | ( | CORBA::Any & | ,
|  | const TAO_IOP::EmptyProfileList & |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::MultiProfileList & |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::Invalid_IOR & |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::Duplicate & |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::NotFound & |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_IOP::EmptyProfileList & |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO_IOP::MultiProfileList *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO_IOP::MultiProfileList *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO_IOP::Invalid_IOR *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO_IOP::Invalid_IOR *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO_IOP::Duplicate *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO_IOP::Duplicate *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO_IOP::NotFound *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO_IOP::NotFound *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const TAO_IOP::EmptyProfileList *& |
| ) |

TAO_IORManip_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO_IOP::EmptyProfileList *& |
| ) |